Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060989 - Review Request: ghc-io-streams - Simple, composable, easy-to-use stream I/O
Summary: Review Request: ghc-io-streams - Simple, composable, easy-to-use stream I/O
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Ready
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 06:07 UTC by Jens Petersen
Modified: 2016-08-14 16:26 UTC (History)
2 users (show)

Fixed In Version: ghc-io-streams-1.1.4.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 05:30:50 UTC
relrod: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2014-02-04 06:07:50 UTC
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-io-streams.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-io-streams-1.1.4.0-1.fc20.src.rpm

Description:
The io-streams library contains simple and easy-to-use primitives for I/O using
streams. Most users will want to import the top-level convenience module
"System.IO.Streams", which re-exports most of the library:

For first-time users, io-streams comes with an included tutorial, which can
be found in the "System.IO.Streams.Tutorial" module.

io-streams comes with:
* functions to use files, handles, concurrent channels, sockets, lists,
vectors, and more as streams.
* a variety of combinators for wrapping and transforming streams, including
compression and decompression using zlib, controlling precisely how many bytes
are read from or written to a stream, buffering output using bytestring
builders, folds, maps, filters, zips, etc.
* support for parsing from streams using @attoparsec@.
* support for spawning processes and communicating with them using streams.

Comment 1 Jens Petersen 2014-02-04 06:07:56 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6488275

Comment 2 Jens Petersen 2014-02-04 08:04:35 UTC
Needed for Haskell websockets library, and hence threepenny-gui,
and some of relrod's new libs (copr, fedora-packages).

http://packdeps.haskellers.com/reverse/io-streams

Comment 3 Rick Elrod 2014-05-04 07:04:42 UTC
1.1.4.3 is out, can you update to that before I review this?

Comment 5 Rick Elrod 2014-05-30 17:36:07 UTC
There is a new minor version out again, but I will APPROVE this anyway and you can update on import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1832960 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-io-streams-1.1.4.3-1.fc20.x86_64.rpm
          ghc-io-streams-devel-1.1.4.3-1.fc20.x86_64.rpm
          ghc-io-streams-1.1.4.3-1.fc20.src.rpm
ghc-io-streams.x86_64: W: spelling-error Summary(en_US) composable -> compo sable, compo-sable, compos able
ghc-io-streams.x86_64: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
ghc-io-streams.x86_64: W: spelling-error %description -l en_US zlib -> lib, glib, z lib
ghc-io-streams.x86_64: W: spelling-error %description -l en_US bytestring -> byte string, byte-string, restringing
ghc-io-streams.x86_64: W: spelling-error %description -l en_US attoparsec -> separator
ghc-io-streams.src: W: spelling-error Summary(en_US) composable -> compo sable, compo-sable, compos able
ghc-io-streams.src: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
ghc-io-streams.src: W: spelling-error %description -l en_US zlib -> lib, glib, z lib
ghc-io-streams.src: W: spelling-error %description -l en_US bytestring -> byte string, byte-string, restringing
ghc-io-streams.src: W: spelling-error %description -l en_US attoparsec -> separator
3 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-io-streams-devel ghc-io-streams
ghc-io-streams.x86_64: W: spelling-error Summary(en_US) composable -> compo sable, compo-sable, compos able
ghc-io-streams.x86_64: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
ghc-io-streams.x86_64: W: spelling-error %description -l en_US zlib -> lib, glib, z lib
ghc-io-streams.x86_64: W: spelling-error %description -l en_US bytestring -> byte string, byte-string, restringing
ghc-io-streams.x86_64: W: spelling-error %description -l en_US attoparsec -> separator
2 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-io-streams-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(io-streams-1.1.4.3-81e7ea45977b5d4a876edcef49f9b814)
    ghc-compiler
    ghc-devel(attoparsec-0.10.4.0-d9fd97cfc1a1748b3cde35adf7fd233b)
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(blaze-builder-0.3.1.1-71a2ae53eb5daf9e6673db8b47b3b6b5)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(network-2.4.1.2-ceff6721a9d15c92aeb91b7ff1b8e52b)
    ghc-devel(primitive-0.5.0.1-8e5f40b409f7bb31ae1acfb125279700)
    ghc-devel(process-1.1.0.2-76e05340eb66705981411022731ca84a)
    ghc-devel(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc-devel(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    ghc-devel(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc-devel(vector-0.10.0.1-869166d5d49db46ce6c328ea5f8defbf)
    ghc-devel(zlib-bindings-0.1.1.3-d134dc50da7b856990b56479323b5c4a)
    ghc-io-streams(x86-64)

ghc-io-streams (rpmlib, GLIBC filtered):
    ghc(attoparsec-0.10.4.0-d9fd97cfc1a1748b3cde35adf7fd233b)
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(blaze-builder-0.3.1.1-71a2ae53eb5daf9e6673db8b47b3b6b5)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(network-2.4.1.2-ceff6721a9d15c92aeb91b7ff1b8e52b)
    ghc(primitive-0.5.0.1-8e5f40b409f7bb31ae1acfb125279700)
    ghc(process-1.1.0.2-76e05340eb66705981411022731ca84a)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    ghc(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc(vector-0.10.0.1-869166d5d49db46ce6c328ea5f8defbf)
    ghc(zlib-bindings-0.1.1.3-d134dc50da7b856990b56479323b5c4a)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSattoparsec-0.10.4.0-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSblaze-builder-0.3.1.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSnetwork-2.4.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSprimitive-0.5.0.1-ghc7.6.3.so()(64bit)
    libHSprocess-1.1.0.2-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libHSvector-0.10.0.1-ghc7.6.3.so()(64bit)
    libHSzlib-0.5.4.1-ghc7.6.3.so()(64bit)
    libHSzlib-bindings-0.1.1.3-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-io-streams-devel:
    ghc-devel(io-streams-1.1.4.3-81e7ea45977b5d4a876edcef49f9b814)
    ghc-io-streams-devel
    ghc-io-streams-devel(x86-64)
    ghc-io-streams-static

ghc-io-streams:
    ghc(io-streams-1.1.4.3-81e7ea45977b5d4a876edcef49f9b814)
    ghc-io-streams
    ghc-io-streams(x86-64)
    libHSio-streams-1.1.4.3-ghc7.6.3.so()(64bit)



Unversioned so-files
--------------------
ghc-io-streams: /usr/lib64/ghc-7.6.3/io-streams-1.1.4.3/libHSio-streams-1.1.4.3-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/package/io-streams-1.1.4.3/io-streams-1.1.4.3.tar.gz :
  CHECKSUM(SHA256) this package     : 8d7e2fbeb97056d113d4ef0720b026d181f18ff0d1258aacabbe7cb75c1fe662
  CHECKSUM(SHA256) upstream package : 8d7e2fbeb97056d113d4ef0720b026d181f18ff0d1258aacabbe7cb75c1fe662


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1060989
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Jens Petersen 2014-06-02 07:46:13 UTC
Thanks for reviewing!


New Package SCM Request
=======================
Package Name: ghc-io-streams
Short Description: Simple composable stream I/O
Upstream URL: http://hackage.haskell.org/package/io-streams
Owners: petersen codeblock
Branches: f20 f19 epel7 el6
InitialCC: haskell-sig

Comment 7 Gwyn Ciesla 2014-06-02 11:53:00 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-06-03 04:05:33 UTC
ghc-io-streams-1.1.4.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-io-streams-1.1.4.5-1.fc20

Comment 9 Fedora Update System 2014-06-03 04:05:42 UTC
ghc-io-streams-1.1.4.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-io-streams-1.1.4.5-1.fc19

Comment 10 Fedora Update System 2014-06-04 07:53:27 UTC
ghc-io-streams-1.1.4.5-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-06-13 05:30:50 UTC
ghc-io-streams-1.1.4.5-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2014-06-13 05:33:27 UTC
ghc-io-streams-1.1.4.5-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.